import React, { createContext, useContext, useMemo } from "react";
const BootstrapOptionsContext = createContext({
    noCloseModal: false,
    noCloseOnSave: false,
    onlySaveOnDirty: false
});
export function useBootstrapOptions() {
    return useContext(BootstrapOptionsContext);
}
export default function BootstrapOptionsProvider({ children, noCloseModal, noCloseOnSave, onlySaveOnDirty }) {
    const options = useMemo(() => ({ noCloseModal, noCloseOnSave, onlySaveOnDirty }), [noCloseModal, noCloseOnSave]);
    return React.createElement(BootstrapOptionsContext.Provider, { value: options }, children);
}
