import React from "react";
import { PaginatorCore } from 'react-admin-base';
import { Pagination, PaginationItem, PaginationLink } from "reactstrap";
export default function BootstrapPagination({ className, currentPage, pageCount, onPageChange }) {
    if (pageCount <= 1)
        return null;
    return React.createElement(Pagination, { listClassName: "mb-0", className: className },
        React.createElement(PaginatorCore, { activePage: currentPage, pageCount: pageCount, showPages: 15, prevPage: index => React.createElement(PaginationItem, { onClick: () => onPageChange(index) },
                React.createElement(PaginationLink, { previous: true, tag: "button", type: "button" }, "\u00AB")), page: index => React.createElement(PaginationItem, { key: index, active: currentPage === index },
                React.createElement(PaginationLink, { tag: "button", type: "button", onClick: () => onPageChange(index) }, index)), nextPage: index => React.createElement(PaginationItem, { onClick: () => onPageChange(index) },
                React.createElement(PaginationLink, { next: true, tag: "button", type: "button" }, "\u00BB")), dots: index => React.createElement(PaginationItem, { onClick: () => onPageChange(index), active: currentPage === index },
                React.createElement(PaginationLink, { tag: "button", type: "button" }, index)) }));
}
